Subject: [OAUTH-WG] draft-ietf-oauth-assertions WGLC comment III

From: Brian Campbell <[email-masked]>
Date: Mon, 23 Apr 2012 07:16:42 -0600

The following text appears in §4.1 and §4.2 defining (describing because
it's already defined in core?) the client_id parameter,

"client_id OPTIONAL. The client identifier as described in Section
3<http://tools.ietf.org/html/draft-ietf-oauth-assertions-01#section-3>of
OAuth 2.0 [
I-D.ietf.oauth-v2<http://tools.ietf.org/html/draft-ietf-oauth-assertions-01#ref-I-D.ietf.oauth-v2>
]."

The section reference needs to be changed to 2 rather than 3 and the link
is currently to the wrong document.

I'd also argue that the text should be removed from §4.2 because it's usage
is orthogonal to the abstract use of assertions as authorization grants
which is what the section is defining.